com.ihr.xbrl.om.errors

## Class DTSDiscoveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.DTSDiscoveryException

- All Implemented Interfaces:
    java.io.Serializable

      public class DTSDiscoveryException
      extends java.lang.Exception

  This exception is generated if there are errors while processing the DTS Discovery of the files included in the DTS. This includes but are not limited to XSDSchema errors in the DTS files, Locators with incorrect syntax, Files not found from xlink:href attributes, etc...
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOC_DOES_NOT_EXIST_OR_CANNOT_BE_OPENED` The Constant DOC_DOES_NOT_EXIST_OR_CANNOT_BE_OPENED.
    `static int` | `DOC_DOES_NOT_LOOK_LIKE_AN_XBRLDOCUMENT` The Constant DOC_DOES_NOT_LOOK_LIKE_AN_XBRLDOCUMENT.
    `static int` | `DOC_IS_NOT_XBRLDOCUMENT` The Constant DOC_IS_NOT_XBRLDOCUMENT.
    `static int` | `EMBEDED_EXCEPTION` The Constant EMBEDED_EXCEPTION.
    `static int` | `EMBEDED_EXCEPTION_NO_REF` The Constant EMBEDED_EXCEPTION_NO_REF.
    `static int` | `EMBEDED_EXCEPTION_WITH_LOCATION` The Constant EMBEDED_EXCEPTION_WITH_LOCATION.
    `static int` | `EMBEDED_XBRL_VALIDATION_EXCEPTION` The Constant EMBEDED_XBRL_VALIDATION_EXCEPTION.
    `static int` | `INVALID_DOCUMENT_IN_LINKBASEREF` The Constant INVALID_DOCUMENT_IN_LINKBASEREF.
    `static int` | `INVALID_SCHEMA_IN_IMPORT` The Constant INVALID_SCHEMA_IN_IMPORT.
    `static int` | `INVALID_SCHEMA_IN_INCLUDE` The Constant INVALID_SCHEMA_IN_INCLUDE.
    `static int` | `INVALID_SCHEMA_IN_SCHEMAREF` The Constant INVALID_SCHEMA_IN_SCHEMAREF.
    `static int` | `METHOD_NOT_IMPLEMENTED` The Constant METHOD_NOT_IMPLEMENTED.
    `static int` | `MISTMATCHING_LINKBASEREF_AND_LINKBASE` The Constant MISTMATCHING_LINKBASEREF_AND_LINKBASE.
    `static int` | `NOT_LEGAL_DTS_ATEMPT_TO_INCLUDE_INSTANCE` The Constant NOT_LEGAL_DTS_ATEMPT_TO_INCLUDE_INSTANCE.
    `static int` | `SCHEMA_COMPILATION_ERROR` The Constant SCHEMA_COMPILATION_ERROR.
    `static int` | `SCHEMA_VALIDATION_ERROR` The Constant SCHEMA_VALIDATION_ERROR.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTSDiscoveryException(int subCode)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.lang.Object... param)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.lang.Throwable cause, java.net.URI docUri)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.lang.Throwable cause, XBRLDTSDocument parent, java.lang.String where)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.lang.Throwable cause, XBRLDTSDocument parent, java.net.URI docUri, int line, int col)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, java.net.URI uri)` Instantiates a new DTS discovery exception.
    `DTSDiscoveryException(int subCode, XMLDocumentURI source)` Instantiates a new DTS discovery exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Gets the code.
    `int` | `getSubCode()` Gets the sub code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOC_IS_NOT_XBRLDOCUMENT

          public static final int DOC_IS_NOT_XBRLDOCUMENT

      The Constant DOC_IS_NOT_XBRLDOCUMENT.
      See Also:
        Constant Field Values

    - #### DOC_DOES_NOT_EXIST_OR_CANNOT_BE_OPENED

          public static final int DOC_DOES_NOT_EXIST_OR_CANNOT_BE_OPENED

      The Constant DOC_DOES_NOT_EXIST_OR_CANNOT_BE_OPENED.
      See Also:
        Constant Field Values

    - #### METHOD_NOT_IMPLEMENTED

          public static final int METHOD_NOT_IMPLEMENTED

      The Constant METHOD_NOT_IMPLEMENTED.
      See Also:
        Constant Field Values

    - #### NOT_LEGAL_DTS_ATEMPT_TO_INCLUDE_INSTANCE

          public static final int NOT_LEGAL_DTS_ATEMPT_TO_INCLUDE_INSTANCE

      The Constant NOT_LEGAL_DTS_ATEMPT_TO_INCLUDE_INSTANCE.
      See Also:
        Constant Field Values

    - #### MISTMATCHING_LINKBASEREF_AND_LINKBASE

          public static final int MISTMATCHING_LINKBASEREF_AND_LINKBASE

      The Constant MISTMATCHING_LINKBASEREF_AND_LINKBASE.
      See Also:
        Constant Field Values

    - #### INVALID_SCHEMA_IN_SCHEMAREF

          public static final int INVALID_SCHEMA_IN_SCHEMAREF

      The Constant INVALID_SCHEMA_IN_SCHEMAREF.
      See Also:
        Constant Field Values

    - #### INVALID_SCHEMA_IN_INCLUDE

          public static final int INVALID_SCHEMA_IN_INCLUDE

      The Constant INVALID_SCHEMA_IN_INCLUDE.
      See Also:
        Constant Field Values

    - #### SCHEMA_VALIDATION_ERROR

          public static final int SCHEMA_VALIDATION_ERROR

      The Constant SCHEMA_VALIDATION_ERROR.
      See Also:
        Constant Field Values

    - #### SCHEMA_COMPILATION_ERROR

          public static final int SCHEMA_COMPILATION_ERROR

      The Constant SCHEMA_COMPILATION_ERROR.
      See Also:
        Constant Field Values

    - #### EMBEDED_EXCEPTION

          public static final int EMBEDED_EXCEPTION

      The Constant EMBEDED_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INVALID_DOCUMENT_IN_LINKBASEREF

          public static final int INVALID_DOCUMENT_IN_LINKBASEREF

      The Constant INVALID_DOCUMENT_IN_LINKBASEREF.
      See Also:
        Constant Field Values

    - #### EMBEDED_EXCEPTION_WITH_LOCATION

          public static final int EMBEDED_EXCEPTION_WITH_LOCATION

      The Constant EMBEDED_EXCEPTION_WITH_LOCATION.
      See Also:
        Constant Field Values

    - #### EMBEDED_XBRL_VALIDATION_EXCEPTION

          public static final int EMBEDED_XBRL_VALIDATION_EXCEPTION

      The Constant EMBEDED_XBRL_VALIDATION_EXCEPTION.
      See Also:
        Constant Field Values

    - #### DOC_DOES_NOT_LOOK_LIKE_AN_XBRLDOCUMENT

          public static final int DOC_DOES_NOT_LOOK_LIKE_AN_XBRLDOCUMENT

      The Constant DOC_DOES_NOT_LOOK_LIKE_AN_XBRLDOCUMENT.
      See Also:
        Constant Field Values

    - #### EMBEDED_EXCEPTION_NO_REF

          public static final int EMBEDED_EXCEPTION_NO_REF

      The Constant EMBEDED_EXCEPTION_NO_REF.
      See Also:
        Constant Field Values

    - #### INVALID_SCHEMA_IN_IMPORT

          public static final int INVALID_SCHEMA_IN_IMPORT

      The Constant INVALID_SCHEMA_IN_IMPORT.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               XMLDocumentURI source)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `source` - the source

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               java.net.URI uri)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `uri` - the uri

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - (no string message is required)

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               java.lang.Object... param)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `param` - multiple objects. The toString method will be used to format the error message

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               java.lang.Throwable cause,
                               XBRLDTSDocument parent,
                               java.net.URI docUri,
                               int line,
                               int col)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `cause` - the cause
        `parent` - the parent
        `docUri` - the doc uri
        `line` - the line
        `col` - the col

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               java.lang.Throwable cause,
                               XBRLDTSDocument parent,
                               java.lang.String where)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `cause` - the cause
        `parent` - the parent
        `where` - the where

    - #### DTSDiscoveryException

          public DTSDiscoveryException(int subCode,
                               java.lang.Throwable cause,
                               java.net.URI docUri)

      Instantiates a new DTS discovery exception.
      Parameters:
        `subCode` - the sub code
        `cause` - the cause
        `docUri` - the doc uri

  - ### Method Detail

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the code

    - #### getSubCode

          public int getSubCode()

      Gets the sub code.
      Returns:
        the sub code